Bug 1503103 (CVE-2017-12197) - CVE-2017-12197 libpam4j: Account check bypass
Summary: CVE-2017-12197 libpam4j: Account check bypass
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-12197
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1502898 (view as bug list)
Depends On: 1511366 1639395
Blocks: 1491381
TreeView+ depends on / blocked
 
Reported: 2017-10-17 11:42 UTC by Adam Mariš
Modified: 2019-09-29 14:24 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that libpam4j did not properly validate user accounts when authenticating. A user with a valid password for a disabled account would be able to bypass security restrictions and possibly access sensitive information.
Clone Of:
Environment:
Last Closed: 2017-11-14 02:59:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2904 normal SHIPPED_LIVE Moderate: rh-sso7-keycloak security update 2017-10-17 23:53:00 UTC
Red Hat Product Errata RHSA-2017:2905 normal SHIPPED_LIVE Moderate: rh-sso7-keycloak security update 2017-10-17 23:53:19 UTC
Red Hat Product Errata RHSA-2017:2906 normal SHIPPED_LIVE Moderate: Red Hat Single Sign-On security update 2017-10-17 23:42:35 UTC

Description Adam Mariš 2017-10-17 11:42:06 UTC
PAM.authentication() does not call pam_acct_mgmt(). As a consequence, the PAM account is not properly verified. Any user with a valid password but with deactivated or disabled account is able to log in.

Comment 1 Adam Mariš 2017-10-17 11:42:13 UTC
Acknowledgments:

Name: Christian Heimes (Red Hat)

Comment 2 Chess Hazlett 2017-10-17 13:00:50 UTC
*** Bug 1502898 has been marked as a duplicate of this bug. ***

Comment 3 errata-xmlrpc 2017-10-17 19:43:10 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On

Via RHSA-2017:2906 https://access.redhat.com/errata/RHSA-2017:2906

Comment 4 errata-xmlrpc 2017-10-17 19:54:11 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.1 for RHEL 6

Via RHSA-2017:2904 https://access.redhat.com/errata/RHSA-2017:2904

Comment 5 errata-xmlrpc 2017-10-17 19:54:42 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.1 for RHEL 7

Via RHSA-2017:2905 https://access.redhat.com/errata/RHSA-2017:2905

Comment 6 Markus Koschany 2017-11-03 20:00:47 UTC
Would it be possible to share the patch for this security issue or has someone forwarded it upstream already?

Comment 8 Chess Hazlett 2017-11-07 18:25:38 UTC
It's been resolved in upstream, keycloak 3.3.0.Final. [https://issues.jboss.org/browse/KEYCLOAK-5551]

Comment 9 Tomas Hoger 2017-11-09 09:00:45 UTC
Created libpam4j tracking bugs for this issue:

Affects: fedora-all [bug 1511366]

Comment 10 Chess Hazlett 2017-11-14 02:59:27 UTC
closing, this has been resolved in RHSSO and Fedora trackers filed.

Comment 11 Andrej Nemec 2018-10-15 15:38:01 UTC
Created jenkins-pam-auth-plugin tracking bugs for this issue:

Affects: fedora-all [bug 1639395]


Note You need to log in before you can comment on or make changes to this bug.